import {BrowserModule} from '@angular/platform-browser';
import {CUSTOM_ELEMENTS_SCHEMA, LOCALE_ID, NgModule} from '@angular/core';
import {MAT_DATE_LOCALE} from '@angular/material';
import {AppComponent} from './app.component';
import {AddTermsComponent} from './components/add-terms/add-terms.component';
import {AppRoutingModule} from './app.router.module';
import {MaterialModule} from './material.module';
import {BrowserAnimationsModule} from '@angular/platform-browser/animations';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {HttpClientModule} from '@angular/common/http';
import {TestComponent} from './components/test/test.component';
import {NavBarComponent} from './components/nav-bar/nav-bar.component';
import {TermListComponent} from './components/term-list/term-list.component';
import {CreateQueryComponent} from './components/dialogs/create-query/create-query.component';
import {AdminMenuComponent} from './components/admin-menu/admin-menu.component';
import {TermListAdminComponent} from './components/term-list-admin/term-list-admin.component';
import {EditTermAdminComponent} from './components/dialogs/edit-term-admin/edit-term-admin.component';
import {AngularFireModule} from 'angularfire2';
import {AngularFireAuthModule} from 'angularfire2/auth';
import {LoginComponent} from './components/login/login.component';
import {AuthService} from './services/auth.service';
import {AuthGuardsService} from './services/auth-guards.service';
import {registerLocaleData} from '@angular/common';
import pl from '@angular/common/locales/pl';
import {QueryDetailesComponent} from './components/dialogs/query-detailes/query-detailes.component';
import {QueriesListAdminComponent} from './components/queries-list-admin/queries-list-admin.component';
import { StartComponent } from './components/start/start.component';

const config = {
  apiKey: 'AIzaSyBuOHXooBv4bsWWgEZxd7Y86TrxkrbYZIU',
  authDomain: 'szt-visio.firebaseapp.com',
  databaseURL: 'https://szt-visio.firebaseio.com',
  projectId: 'szt-visio',
  storageBucket: 'szt-visio.appspot.com',
  messagingSenderId: '298719712363'
};

registerLocaleData(pl);

@NgModule({
  declarations: [
    AppComponent,
    NavBarComponent,
    TermListComponent,
    AddTermsComponent,
    CreateQueryComponent,
    TestComponent,
    AdminMenuComponent,
    TermListAdminComponent,
    EditTermAdminComponent,
    LoginComponent,
    QueriesListAdminComponent,
    QueryDetailesComponent,
    StartComponent
  ],
  imports: [
    BrowserModule,
    MaterialModule,
    FormsModule,
    ReactiveFormsModule,
    BrowserAnimationsModule,
    HttpClientModule,
    AppRoutingModule,
    AngularFireModule.initializeApp(config),
    AngularFireAuthModule
  ],
  entryComponents: [CreateQueryComponent, EditTermAdminComponent, QueryDetailesComponent],
  providers: [AuthService, AuthGuardsService, {provide: MAT_DATE_LOCALE, useValue: 'pl-PL'}, {provide: LOCALE_ID, useValue: 'pl'}],
  bootstrap: [AppComponent],
  schemas: [CUSTOM_ELEMENTS_SCHEMA]
})
export class AppModule {
}
//
