import {AddTermsComponent} from './components/add-terms/add-terms.component';
import {RouterModule, Routes} from '@angular/router';
import {TermListComponent} from './components/term-list/term-list.component';
import {AdminMenuComponent} from './components/admin-menu/admin-menu.component';
import {TermListAdminComponent} from './components/term-list-admin/term-list-admin.component';
import {NgModule} from '@angular/core';
import {LoginComponent} from './components/login/login.component';
import {AuthGuardsService} from './services/auth-guards.service';
import {QueriesListAdminComponent} from './components/queries-list-admin/queries-list-admin.component';
import {StartComponent} from './components/start/start.component';

export const appRoutes: Routes = [
  {
    path: '',
    component: StartComponent
  },
  {
    path: 'list-term',
    component: TermListComponent
  },

  {
    path: 'admin',
    component: AdminMenuComponent,
    canActivate: [AuthGuardsService],
    children: [
      {
        path: 'add-term',
        component: AddTermsComponent
      },
      {
        path: 'term-list-admin',
        component: TermListAdminComponent
      },
      {
        path: 'queries',
        component: QueriesListAdminComponent
      }
    ]
  },
  {
    path: 'login',
    component: LoginComponent
  }
]

@NgModule({
  imports: [RouterModule.forRoot(appRoutes)],
  exports: [RouterModule]
})
export class AppRoutingModule {

}
