import {Component, Inject, OnInit} from '@angular/core';
import {Query} from '../../../models/Query';
import {MAT_DIALOG_DATA, MatDialogRef, MatSnackBar} from '@angular/material';
import {FormGroup} from '@angular/forms';
import {QueryService} from '../../../services/query.service';

@Component({
  selector: 'app-query-detailes',
  templateUrl: './query-detailes.component.html',
  styleUrls: ['./query-detailes.component.css']
})
export class QueryDetailesComponent implements OnInit {

  constructor(public dialogRef: MatDialogRef<QueryDetailesComponent>, @Inject(MAT_DIALOG_DATA) public data: Query, private queryService: QueryService, public snackBar: MatSnackBar) {
  }

  ngOnInit() {
  }

  closeDialog(): void {
    this.dialogRef.close();
  }

  async setAsUnread() {
    this.data.status = 1;
    await this.queryService.updateQuery(this.data).subscribe(
      x => {
        this.openSnackBar('Zapisano zmiany !');
        this.closeDialog();
      },
      error => this.openSnackBar('Coś poszło nie tak.. Spróbuj ponownie'));
    this.closeDialog();
  }

  async setAsRead() {
    this.data.status = 2;
    await this.queryService.updateQuery(this.data).subscribe(
      x => {
        this.openSnackBar('Zapisano zmiany !');
        this.closeDialog();
      },
      error => this.openSnackBar('Coś poszło nie tak.. Spróbuj ponownie'));
    this.closeDialog();
  }

  async setAsOfferSend() {
    console.log(new Date());
    this.data.status = 3;
    await this.queryService.updateQuery(this.data).subscribe(
      x => {
        this.openSnackBar('Zapisano zmiany !');
        this.closeDialog();
      },
      error => this.openSnackBar('Coś poszło nie tak.. Spróbuj ponownie'));
    this.closeDialog();
  }

  openSnackBar(message: string) {
    this.snackBar.open(message, null, {
      duration: 2500,
    });
  }
}
