import { Component, OnInit } from '@angular/core';
import {Observable} from 'rxjs';
import {Query} from '../../models/Query';
import {QueryService} from '../../services/query.service';
import {MatDialog} from '@angular/material';
import {CreateQueryComponent} from '../dialogs/create-query/create-query.component';
import {QueryDetailesComponent} from '../dialogs/query-detailes/query-detailes.component';

@Component({
  selector: 'app-queries-list-admin',
  templateUrl: './queries-list-admin.component.html',
  styleUrls: ['./queries-list-admin.component.css']
})
export class QueriesListAdminComponent implements OnInit {

  queryList$: Observable<Array<Query>>;

  constructor(private queryService: QueryService, private dialog: MatDialog) { }

  ngOnInit() {
    this.queryService.getQueryList();
    this.queryList$ = this.queryService.queryList$;
  }

  showDetails(query: Query) {
    this.openDialog(query);
  }

  openDialog(query: Query): void {
    const dialogRef = this.dialog.open(QueryDetailesComponent, {
      // width: '65%',
      data: query
    });

    dialogRef.afterClosed().subscribe(result => {
      this.queryService.getQueryList();
    });
  }
}
