import {Injectable} from '@angular/core';
import {AngularFireAuth} from 'angularfire2/auth';
import {User} from 'firebase';
import {Router} from '@angular/router';

@Injectable({
  providedIn: 'root'
})
export class AuthService {

  user: User;

  constructor(private angularFireAuth: AngularFireAuth, private router: Router) {
    angularFireAuth.authState.subscribe(user => {
      this.user = user;
    });
  }

  login(email: string, password: string) {
    this.angularFireAuth.auth.signInWithEmailAndPassword(email, password).then(user => {
      console.log(user);
      this.router.navigate(['/admin']);
    }).catch(err => {
      console.log(err);
    });
  }

  register() {
    this.angularFireAuth.auth.createUserWithEmailAndPassword('test@op.pl', 'password').then(user => {
      console.log(user);
    }).catch(err => {
      console.log(err);
    });
  }

  logout() {
    this.angularFireAuth.auth.signOut();
    this.router.navigate(['']);
  }
}
