import {Injectable} from '@angular/core';
import {HttpClient, HttpParams} from '@angular/common/http';
import {environment} from '../../environments/environment';
import {Term} from '../models/Term';
import {BehaviorSubject} from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class TermService {

  constructor(private httpClient: HttpClient) {
  }

  endpoint = 'term';

  // terms: Array<Terms>;
  termsObs = new BehaviorSubject<Array<Term>>([]);
  terms$ = this.termsObs.asObservable();

  getTerms(year: string, month: string) {

    return this.httpClient.get<Array<Term>>(environment.API_BACK + this.endpoint + `/${year}/${month}`)
    // this.httpClient.get('http://localhost:8080/term/' + year + '/' + month)
      .subscribe(x => {
          console.log(x);
          this.termsObs.next(x);
        },
        err => {
          console.log(err);
        });
  }
}
