import {Injectable} from '@angular/core';
import {HttpClient, HttpHeaders} from '@angular/common/http';
import {environment} from '../../environments/environment';
import {Term} from '../models/Term';
import {RequestOptions} from '@angular/http';
import {NewTerms} from '../models/NewTerms';

const httpOptions = {
  headers: new HttpHeaders({ 'Content-Type': 'application/json' })
};

@Injectable({
  providedIn: 'root'
})
export class TermAdminService {
  endpoint = 'term';

  constructor(private httpClient: HttpClient) {
  }

  deleteTerm(term: any) {
    const headers = new HttpHeaders();
    headers.set('Content-Type', 'application/json; charset=utf-8');
    headers.set('Access-Control-Allow-Origin', '*');
    headers.set('Access-Control-Allow-Methods', 'GET, POST, OPTIONS, PUT, PATCH, DELETE');


    // @ts-ignore
    return this.httpClient.delete<Term>(environment.API_BACK + this.endpoint, new RequestOptions({
      // @ts-ignore
      headers: headers,
      body: term
    }));
  }

  updateTerm(term: any) {
    const headers = new HttpHeaders();
    headers.set('Content-Type', 'application/json; charset=utf-8');
    headers.set('Access-Control-Allow-Origin', '*');
    headers.set('Access-Control-Allow-Methods', 'GET, POST, OPTIONS, PUT, PATCH, DELETE');
    // @ts-ignore
    return this.httpClient.put<Term>(environment.API_BACK + this.endpoint, term, headers);
  }

  createTerm(newTerms: NewTerms) {
    return this.httpClient.post(environment.API_BACK + this.endpoint, newTerms, httpOptions);
  }

}
